# Package org.apache.sling.bgservlets.impl

Class Summary
Class | Description
--- | ---
BackgroundServletStarterFilter | Filter that runs the current request in the background if specific request parameters are set.
DeepNodeCreator | Deep-creation of nodes: parent nodes are created if needed.
ExecutionEngineImpl | Simple ExecutionEngine TODO should use Sling's thread pool, and check synergies with scheduler services
JobConsoleImpl | JobConsole implementation
SuspendableOutputStream | Wraps an OutputStream with controls for suspending it or throwing an IOException next time it is written to.

Exception Summary
Exception | Description
--- | ---
ExecutionEngineImpl.QueueFullException |
SuspendableOutputStream.StreamStoppedException |